/*-----------------------------------------------------------------------------
 * llAccept.h
 * Copyright                acontis technologies GmbH, Weingarten, Germany
 * Response                 Stefan Zintgraf
 * Description              AT-EM EtherCAT Master demo header
 *---------------------------------------------------------------------------*/

/*-INCLUDES------------------------------------------------------------------*/
#include "llAcceptConfig.h"
#include "Logging.h"
#include "EcLink.h"

/*-TYPEDEFS------------------------------------------------------------------*/
typedef struct
{
    EC_T_BOOL   bThreadRunning;
    EC_T_DWORD  dwMasterID;
    EC_T_CHAR   szCommandLine[512];
} EMTEST_T_MASTER_DATA;

typedef enum _APP_LLA_MODE
{
    allam_tx    =   0,
    allam_rx    =   1,
    allam_trx   =   2,
    allam_txf   =   10,
    allam_rxf   =   11,
    allam_trxf  =   12,
    allam_echo  =   13,
    allam_irq   =   14,
    allam_BCD   =   0xffffffff,
} APP_LLA_MODE;

/*-FUNCTION DECLARATIONS-----------------------------------------------------*/
EC_T_DWORD llAcceptRun                 ( 
                                         EC_T_DWORD          dwDuration,
                                         EC_T_LINK_PARMS*    pLinkParam,
                                         EC_T_DWORD          dwCpuIndex,
                                         EC_T_INT            nVerbose,
                                         APP_LLA_MODE        eMode,
                                         EC_T_DWORD          dwDataSize,
                                         EC_T_VOID*          pvTimingEvent,
                                         EC_T_DWORD          dwBasePeriod
                                       );

/*-END OF SOURCE FILE--------------------------------------------------------*/
